live_config_reload = true

[colors]
draw_bold_text_with_bright_colors = true

[colors.bright]
black   = "0x767676"
blue    = "0x1a8fff"
cyan    = "0x14ffff"
green   = "0x23fd00"
magenta = "0xfd28ff"
red     = "0xf2201f"
white   = "0xffffff"
yellow  = "0xfffd00"

[colors.normal]
black   = "0x000000"
blue    = "0x0d73cc"
cyan    = "0x0dcdcd"
green   = "0x19cb00"
magenta = "0xcb1ed1"
red     = "0xcc0403"
white   = "0xdddddd"
yellow  = "0xcecb00"

[colors.primary]
background = "0x000000"
foreground = "0xdddddd"

[cursor]
style            = "Underline"
unfocused_hollow = true

[debug]
log_level          = "Off"
persistent_logging = false
print_events       = false
render_timer       = false

[env]
TERM = "alacritty"

[font]
size = 22.0

[font.bold]
family = "monospace"
style  = "Bold"

[font.glyph_offset]
x = 0
y = 0

[font.italic]
family = "monospace"
style  = "Bold Italic"

[font.normal]
family = "monospace"
style  = "Medium Italic"

[font.offset]
x = 0
y = 0

[[hints.enabled]]
command         = "xdg-open"
post_processing = false
regex           = "(ipfs:|ipns:|magnet:|mailto:|gemini:|gopher:|https:|http:|news:|file:|git:|ssh:|ftp:)[^\u0000-\u001F\u007F-<>\"\\s{-}\\^⟨⟩`]+"

[hints.enabled.binding]
key  = "U"
mods = "Control|Shift"

[hints.enabled.mouse]
enabled = false
mods    = "None"

[[hints.enabled]]
action          = "Copy"
post_processing = false
regex           = "(ipfs:|ipns:|magnet:|mailto:|gemini:|gopher:|https:|http:|news:|file:|git:|ssh:|ftp:)[^\u0000-\u001F\u007F-<>\"\\s{-}\\^⟨⟩`]+"

[hints.enabled.binding]
key  = "E"
mods = "Control|Shift"

[hints.enabled.mouse]
enabled = false
mods    = "None"

[[keyboard.bindings]]
action = "Paste"
key    = "V"
mods   = "Control|Shift"

[[keyboard.bindings]]
action = "Copy"
key    = "C"
mods   = "Control|Shift"

[[keyboard.bindings]]
action = "Quit"
key    = "Q"
mods   = "Control"

[[keyboard.bindings]]
action = "ScrollPageUp"
key    = "PageUp"
mods   = "Shift"

[[keyboard.bindings]]
action = "ScrollPageDown"
key    = "PageDown"
mods   = "Shift"

[[keyboard.bindings]]
action = "ScrollToTop"
key    = "PageUp"
mods   = "Control"

[[keyboard.bindings]]
action = "ScrollToBottom"
key    = "PageDown"
mods   = "Control"

[[keyboard.bindings]]
action = "IncreaseFontSize"
key    = "Equals"
mods   = "Control"

[[keyboard.bindings]]
action = "DecreaseFontSize"
key    = "Minus"
mods   = "Control"

[mouse]
hide_when_typing = true

[[mouse.bindings]]
action = "PasteSelection"
mouse  = "Middle"

[scrolling]
history    = 0
multiplier = 3

[selection]
save_to_clipboard     = true
semantic_escape_chars = ",│`|:\"' ()[]{}<>"

[shell]
args    = ["attach", "-t", "scratch"]
program = "tmux"

[window]
decorations     = "none"
dynamic_padding = true
opacity         = 0.8
startup_mode    = "Windowed"

[window.dimensions]
columns = 100
lines   = 85

[window.padding]
x = 0
y = 0
